Bug 94720 - After merging the cells in the table containing the last row and selecting as column you can not format the cell contents (as if read-only)
Summary: After merging the cells in the table containing the last row and selecting as...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2015-10-03 06:42 UTC by Roman Kuznetsov
Modified: 2018-12-24 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file with table (12.17 KB, application/vnd.oasis.opendocument.text)
2015-10-03 06:42 UTC, Roman Kuznetsov
Details
screenshot inactive icons (97.76 KB, image/png)
2015-10-03 06:44 UTC, Roman Kuznetsov
Details
Example ODT with more repro and no-repro tables (10.31 KB, text/odt)
2018-12-24 16:41 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2015-10-03 06:42:58 UTC
Created attachment 119226 [details]
file with table

Версия: 5.0.2.1 (x64)
ID сборки: 9a18d52abbdfbdc2ac9acebec2b92e7859eb73b7
Локаль: ru-RU (ru_RU)
Windows 7 HB x86-64

1. Open file from attach
2. select the left column by any method - icons normal
3. Select right column of table one of the methods:
   3.1 Drag mouse cursor on all cell in right column - icons normal
   3.2 place your cursor in the upper-right cell "Понедельник", press the Shift key and press the arrow key "down" until the entire column is highlighted - icons normal
   3.3 place the cursor directly over the right column of the table, it will change the shape of a black arrow pointing down, click the left mouse button, the entire column is highlighted - icons on toolbar "Table" and toolbar "Formatting" is inactive (see screenshot from attach)!. Formatting of cell contents impossible.
Comment 1 Roman Kuznetsov 2015-10-03 06:44:12 UTC
Created attachment 119227 [details]
screenshot inactive icons
Comment 2 tagezi 2015-10-03 09:34:19 UTC
I confirm it on Kubuntu 14.04, LO 5.0.2 and master.
but I can not verify when the bug appeared.
Comment 3 Roman Kuznetsov 2015-10-03 12:00:46 UTC
in Apache OpenOffice 4.1.1 bug is reproduced

if you position the cursor in any cell of the table, and then double-press the shortcut Ctrl + A (to select the entire table) icons also become inactive
Comment 4 Terrence Enger 2015-10-05 20:42:35 UTC
I see the reported problem with LibreOffice 3.5.4.2 as delivered with
debian-wheezy.  So, setting version field to 3.5.4 release.

Additional observations ...

(*) With the whole column selected, right-click menu offers option
    Cell, which however shows "<No selection possible>".  At least the
    toolbar buttons and the pop-up menu agree with each other.
(*) With the whole column selected, formatting remains disabled
    through multiple click above the column.
(*) However, with merged cells in a row extending into the column with
    merged cells,
      - a click above the either column selects both columns and
        formatting is disabled.
      - subsequent clicks above either column select both columns and
        formatting is enabled.
(*) With merged cells in a row, when you select the row, formatting is
    enabled.

HTH,
Terry.
Comment 5 QA Administrators 2017-01-03 19:36:09 UTC Comment hidden (obsolete)
Comment 6 Roman Kuznetsov 2017-01-04 08:07:28 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2017-12-20 20:54:17 UTC
still repro in 6.0 beta 2
Comment 8 QA Administrators 2018-12-23 03:48:55 UTC Comment hidden (obsolete)
Comment 9 Timur 2018-12-24 16:36:49 UTC
Repro 6.3+ for attached ODT. Note read-only cells in status bar. 
I attached another example ODT attachment 147802 [details] with repro and no-repro tables.
Comment 10 Timur 2018-12-24 16:41:49 UTC
Created attachment 147803 [details]
Example ODT with more repro and no-repro tables